put
https://example.com/v1/buying-policies/credit-control/holds/
Updates a credit hold for a specific Customer Account.
⚠️ To update the endDate of an existing hold, you must also provide a startDate value.
This startDate must either:
- match the current
startDateof the hold, - or be a date greater than or equal to the credit hold creation date.
This ensures that updating anendDatedoes not unintentionally affect the initial start date of the block.
⚠️ This endpoint is only accessible when thedj-clientheader is set toOPERATOR.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
204Credit hold successfully updated.
400Invalid request payload. This error occurs when:
- Required field
startDateis missing or empty - Date formats are invalid (must be ISO 8601:
YYYY-MM-DDTHH:MM:SSZ) startDateis earlier than creation dateendDateis earlier thanstartDate
Please verify that all required fields are present and properly formatted.
401Authentication required.
403Access forbidden.
404Credit hold not found.
500Internal server error.

